Markets
GET /v1/market/{conditionId}
Per-market summary: holder average entry (Brier-weighted average price current holders paid for YES — a cost basis, not a forecast), last-24h volume + positioning counts.
Per-market summary: holder average entry (Brier-weighted average price current holders paid for YES — a cost basis, not a forecast), last-24h volume + positioning counts.
AuthorizationBearer <token>
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Path Parameters
conditionId*string
Response Body
application/json
curl -X GET "https://example.com/v1/market/string"{ "condition_id": "string", "combo": { "n_legs": -9007199254740991, "n_resolved_legs": -9007199254740991, "yes_estimate": 0, "legs": [ { "leg_index": -9007199254740991, "market_condition_id": "string", "market_title": "string", "market_slug": "string", "market_category": "string", "side_index": -9007199254740991, "side_label": "string", "status": "open", "price": 0 } ] }, "market_title": "string", "market_category": "string", "market_subcategory": "string", "market_subcategory_label": "string", "market_subtype": "string", "market_subtype_label": "string", "market_slug": "string", "event_slug": "string", "event_title": "string", "close_time": "string", "game_start_time": "string", "listed_at": "string", "end_date": "string", "event": { "id": -9007199254740991, "slug": "string", "title": "string", "category": "string", "subcategory": "string", "series_title": "string", "series_slug": "string", "series_recurrence": "string", "sport_code": "string", "sport_name": "string", "sport_discipline": "string", "team_names": [ "string" ], "market_count": -9007199254740991, "game_id": -9007199254740991, "live": true, "ended": true, "score": "string", "period": "string" }, "market_meta": { "sports_market_type": "string", "group_item_title": "string", "neg_risk": true, "neg_risk_market_id": "string", "resolution_source": "string", "fee_type": "string", "fee_rate": 0, "fee_rebate_rate": 0, "fee_taker_only": true, "uma_bond": 0, "uma_reward": 0, "custom_liveness": -9007199254740991, "uma_resolution_status": "string", "resolved_by": "string", "line": 0 }, "dates": { "listed": "string", "trading_opens": "string", "first_trade": "string", "last_trade": "string", "event_start": "string", "game_start": "string", "scheduled_close": "string", "actual_close": "string", "resolved": "string" }, "resolved": true, "market_state": "LIVE", "winner_outcome": "YES", "current_mid": 0, "mid_age_seconds": -9007199254740991, "best_bid": 0, "best_ask": 0, "final_pre_resolution_mid": 0, "last_24h_volume_usdc": 0, "last_24h_fills": -9007199254740991, "positioner_count": -9007199254740991, "smart_money_positioner_count": -9007199254740991, "consensus_latest": { "ts": "string", "polyrank_consensus_yes": 0, "market_mid": 0, "volume_weighted_yes": 0, "top10_smart_money_yes": 0, "n_positioners": -9007199254740991 }, "holder_entry_status": { "state": "ok", "positioned": -9007199254740991, "min_positioned": -9007199254740991, "built_at": "string", "build_interval_seconds": -9007199254740991, "next_build_at": "string" }, "consensus_24h": [ { "ts": "string", "polyrank_consensus_yes": 0, "market_mid": 0, "volume_weighted_yes": 0, "top10_smart_money_yes": 0, "n_positioners": -9007199254740991 } ], "flow_24h": [ { "bucket_ts": "string", "total_volume_usdc": 0, "yes_buy_volume_usdc": 0, "no_buy_volume_usdc": 0, "fills_count": -9007199254740991 } ], "mid_history_24h": [ { "bucket_ts": "string", "mid": 0 } ], "siblings": [ { "condition_id": "string", "title": "string", "current_mid": 0, "quoted": true, "resolved": true, "group": "string", "label": "string", "has_traded": true } ], "siblings_total": -9007199254740991, "skill_analytics_enabled": true, "liquidity": { "best_bid": 0, "best_ask": 0, "mid": 0, "spread": 0, "spread_pct": 0, "bid_size": 0, "ask_size": 0, "bid_value_usd": 0, "ask_value_usd": 0, "bid_depth_usd": 0, "ask_depth_usd": 0, "book_imbalance": 0, "depth_band_cents": 0 }, "book_depth_enabled": true, "marks_as_of": "string", "book_stale": true, "min_order_size": 0, "min_tick_size": 0, "yes_token_id": "string", "mid_as_of": "string", "outcome_names": [ "string" ], "freshness": { "mid": { "as_of": "string", "age_seconds": 0, "class": "live", "source": "string" }, "book": { "as_of": "string", "age_seconds": 0, "class": "live", "source": "string" }, "resolution": { "as_of": "string", "age_seconds": 0, "class": "live", "source": "string" }, "as_of": "string" }, "live": { "mode": "off", "checks": { "mid": "fresh", "book": "fresh", "resolution": "fresh" }, "fetch_ms": -9007199254740991 }, "live_resolution": { "closed": true, "accepting_orders": true, "winner_outcome": "YES", "checked_at": "string", "ahead_of_oracle": true }}